# -*-makefile-*-
# $Id: template 4453 2006-01-29 13:28:16Z rsc $
#
# Copyright (C) 2006 by Bjoern Buerger
#          
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_BOOTCHART) += bootchart

#
# Paths and names
#
BOOTCHART_VERSION	= 0.9
BOOTCHART		= bootchart-$(BOOTCHART_VERSION)
BOOTCHART_SUFFIX	= tar.bz2
BOOTCHART_URL		= $(PTXCONF_SETUP_SFMIRROR)/bootchart/$(BOOTCHART).$(BOOTCHART_SUFFIX)
BOOTCHART_SOURCE	= $(SRCDIR)/$(BOOTCHART).$(BOOTCHART_SUFFIX)
BOOTCHART_DIR		= $(BUILDDIR)/$(BOOTCHART)

-include $(call package_depfile)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

bootchart_get: $(STATEDIR)/bootchart.get

$(STATEDIR)/bootchart.get: $(bootchart_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(BOOTCHART_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, $(BOOTCHART_URL))

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

bootchart_extract: $(STATEDIR)/bootchart.extract

$(STATEDIR)/bootchart.extract: $(bootchart_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(BOOTCHART_DIR))
	@$(call extract, $(BOOTCHART_SOURCE))
	@$(call patchin, $(BOOTCHART))
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

bootchart_prepare: $(STATEDIR)/bootchart.prepare

BOOTCHART_PATH	=  PATH=$(CROSS_PATH)
BOOTCHART_ENV 	=  $(CROSS_ENV)

#
# autoconf
#
#BOOTCHART_AUTOCONF = $(CROSS_AUTOCONF_USR)

$(STATEDIR)/bootchart.prepare: $(bootchart_prepare_deps_default)
	@$(call targetinfo, $@)
#	@$(call clean, $(BOOTCHART_DIR)/config.cache)
#	cd $(BOOTCHART_DIR) && \
#		$(BOOTCHART_PATH) $(BOOTCHART_ENV) \
#		./configure $(BOOTCHART_AUTOCONF)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

bootchart_compile: $(STATEDIR)/bootchart.compile

$(STATEDIR)/bootchart.compile: $(bootchart_compile_deps_default)
	@$(call targetinfo, $@)
	# cd $(BOOTCHART_DIR) && $(BOOTCHART_ENV) $(BOOTCHART_PATH) make
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

bootchart_install: $(STATEDIR)/bootchart.install

$(STATEDIR)/bootchart.install: $(bootchart_install_deps_default)
	@$(call targetinfo, $@)
	@$(call install, BOOTCHART)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

bootchart_targetinstall: $(STATEDIR)/bootchart.targetinstall

$(STATEDIR)/bootchart.targetinstall: $(bootchart_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init,default)
	@$(call install_fixup,PACKAGE,bootchart)
	@$(call install_fixup,PRIORITY,optional)
	@$(call install_fixup,VERSION,$(BOOTCHART_VERSION))
	@$(call install_fixup,SECTION,base)
	@$(call install_fixup,AUTHOR,"Bjoern Buerger <b.buerger\@pengutronix.de>")
	@$(call install_fixup,DEPENDS,)
	@$(call install_fixup,DESCRIPTION,missing)

	@$(call install_copy, 0, 0, 0755, $(BOOTCHART_DIR)/script/bootchartd, /sbin/bootchartd, n)
	@$(call install_copy, 0, 0, 0644, $(BOOTCHART_DIR)/script/bootchartd.conf, /etc/bootchartd.conf, n)
	@$(call install_finish)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

bootchart_clean:
	rm -rf $(STATEDIR)/bootchart.*
	rm -rf $(IMAGEDIR)/bootchart_*
	rm -rf $(BOOTCHART_DIR)

# vim: syntax=make
